# Renderer

interface Renderer

## Methods

ModelObject
model()

Model Object representation of the requested API Result.

string
xml()

XML Representation of the requested API Result.

stdClass
csl()

CSL Representation of the requested API Result.

string
bibliography(string $bibliographyStyleName = 'apa', string $lang = 'en', string $bibliographyStyle = null)

HTML rendered publication list in given CSL Style of the requested API Result.

string
bibtex()

BibTeX representation of the requested API Result.

string
endnote()

Endnote representation of the requested API Result.

## Details

###
at line 40
`ModelObject model()`

Model Object representation of the requested API Result.

#### Return Value

ModelObject |

###
at line 49
`string xml()`

XML Representation of the requested API Result.

#### Return Value

string |

#### Exceptions

UnsupportedOperationException |

###
at line 59
`stdClass csl()`

CSL Representation of the requested API Result.

#### Return Value

stdClass |

#### Exceptions

UnsupportedOperationException |

###
at line 71
`string bibliography(string $bibliographyStyleName = 'apa', string $lang = 'en', string $bibliographyStyle = null)`

HTML rendered publication list in given CSL Style of the requested API Result.

#### Parameters

string | $bibliographyStyleName |
string | $lang |
string | $bibliographyStyle | XML formatted CSL Style

#### Return Value

string |

###
at line 80
`string bibtex()`

BibTeX representation of the requested API Result.

#### Return Value

string |

#### Exceptions

UnsupportedOperationException |

###
at line 89
`string endnote()`

Endnote representation of the requested API Result.

#### Return Value

string |

#### Exceptions

UnsupportedOperationException |